PulseTestConstants (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.tools.pulse.tests.ui

## Class PulseTestConstants

- java.lang.Object
- - org.apache.geode.tools.pulse.tests.ui.PulseTestConstants

-     public class PulseTestConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLUSTER_CLIENTS_ID`
    `static java.lang.String` | `CLUSTER_FUNCTIONS_ID`
    `static java.lang.String` | `CLUSTER_GCPAUSES_ID`
    `static java.lang.String` | `CLUSTER_QUERIESPERSEC_ID`
    `static java.lang.String` | `CLUSTER_READPERSEC_ID`
    `static java.lang.String` | `CLUSTER_SUBSCRIPTION_ID`
    `static java.lang.String` | `CLUSTER_UNIQUECQS_ID`
    `static java.lang.String` | `CLUSTER_VIEW_GRID_ID`
    `static java.lang.String` | `CLUSTER_VIEW_LABEL`
    `static java.lang.String` | `CLUSTER_VIEW_LOCATORS_ID`
    `static java.lang.String` | `CLUSTER_VIEW_MEMBERS_ID`
    `static java.lang.String` | `CLUSTER_VIEW_REGIONS_ID`
    `static java.lang.String` | `CLUSTER_WRITEPERSEC_ID`
    `static java.lang.String` | `DATA_BROWSER_COLOCATED_REGION`
    `static java.lang.String` | `DATA_BROWSER_COLOCATED_REGION_NAME1`
    `static java.lang.String` | `DATA_BROWSER_COLOCATED_REGION_NAME2`
    `static java.lang.String` | `DATA_BROWSER_COLOCATED_REGION_NAME3`
    `static java.lang.String` | `DATA_BROWSER_LABEL`
    `static java.lang.String` | `DATA_BROWSER_REGION1_CHECKBOX`
    `static java.lang.String` | `DATA_BROWSER_REGION2_CHECKBOX`
    `static java.lang.String` | `DATA_BROWSER_REGION3_CHECKBOX`
    `static java.lang.String` | `DATA_BROWSER_REGIONName1`
    `static java.lang.String` | `DATA_BROWSER_REGIONName2`
    `static java.lang.String` | `DATA_BROWSER_REGIONName3`
    `static java.lang.String` | `DATA_DROPDOWN_ID`
    `static java.lang.String` | `DATA_VIEW_EMPTYNODES`
    `static java.lang.String` | `DATA_VIEW_ENTRYCOUNT`
    `static java.lang.String` | `DATA_VIEW_LABEL`
    `static java.lang.String` | `DATA_VIEW_READPERSEC`
    `static java.lang.String` | `DATA_VIEW_USEDMEMORY`
    `static java.lang.String` | `DATA_VIEW_WRITEPERSEC`
    `static java.lang.String` | `MEMBER_VIEW_CPUUSAGE_ID`
    `static java.lang.String` | `MEMBER_VIEW_JVMPAUSES_ID`
    `static java.lang.String` | `MEMBER_VIEW_LOADAVG_ID`
    `static java.lang.String` | `MEMBER_VIEW_OFFHEAPFREESIZE_ID`
    `static java.lang.String` | `MEMBER_VIEW_OFFHEAPUSEDSIZE_ID`
    `static java.lang.String` | `MEMBER_VIEW_READPERSEC_ID`
    `static java.lang.String` | `MEMBER_VIEW_REGION_ID`
    `static java.lang.String` | `MEMBER_VIEW_SOCKETS_ID`
    `static java.lang.String` | `MEMBER_VIEW_THREAD_ID`
    `static java.lang.String` | `MEMBER_VIEW_WRITEPERSEC_ID`
    `static java.lang.String` | `QUERY_STATISTICS_LABEL`
    `static java.lang.String` | `REDUNDANCY_GRID_ID`
    `static java.lang.String` | `REGION_NAME_LABEL`
    `static java.lang.String` | `REGION_PATH_LABEL`
    `static java.lang.String` | `REGION_PERSISTENCE_LABEL`
    `static java.lang.String` | `REGION_TYPE_LABEL`
    `static java.lang.String` | `SERVER_GROUP_GRID_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PulseTestConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DATA_VIEW_LABEL

          public static final java.lang.String DATA_VIEW_LABEL

      See Also:
        Constant Field Values

    - #### CLUSTER_VIEW_MEMBERS_ID

          public static final java.lang.String CLUSTER_VIEW_MEMBERS_ID

      See Also:
        Constant Field Values

    - #### CLUSTER_VIEW_LOCATORS_ID

          public static final java.lang.String CLUSTER_VIEW_LOCATORS_ID

      See Also:
        Constant Field Values

    - #### CLUSTER_VIEW_REGIONS_ID

          public static final java.lang.String CLUSTER_VIEW_REGIONS_ID

      See Also:
        Constant Field Values

    - #### CLUSTER_CLIENTS_ID

          public static final java.lang.String CLUSTER_CLIENTS_ID

      See Also:
        Constant Field Values

    - #### CLUSTER_FUNCTIONS_ID

          public static final java.lang.String CLUSTER_FUNCTIONS_ID

      See Also:
        Constant Field Values

    - #### CLUSTER_UNIQUECQS_ID

          public static final java.lang.String CLUSTER_UNIQUECQS_ID

      See Also:
        Constant Field Values

    - #### CLUSTER_SUBSCRIPTION_ID

          public static final java.lang.String CLUSTER_SUBSCRIPTION_ID

      See Also:
        Constant Field Values

    - #### CLUSTER_GCPAUSES_ID

          public static final java.lang.String CLUSTER_GCPAUSES_ID

      See Also:
        Constant Field Values

    - #### CLUSTER_WRITEPERSEC_ID

          public static final java.lang.String CLUSTER_WRITEPERSEC_ID

      See Also:
        Constant Field Values

    - #### CLUSTER_READPERSEC_ID

          public static final java.lang.String CLUSTER_READPERSEC_ID

      See Also:
        Constant Field Values

    - #### CLUSTER_QUERIESPERSEC_ID

          public static final java.lang.String CLUSTER_QUERIESPERSEC_ID

      See Also:
        Constant Field Values

    - #### MEMBER_VIEW_REGION_ID

          public static final java.lang.String MEMBER_VIEW_REGION_ID

      See Also:
        Constant Field Values

    - #### MEMBER_VIEW_THREAD_ID

          public static final java.lang.String MEMBER_VIEW_THREAD_ID

      See Also:
        Constant Field Values

    - #### MEMBER_VIEW_SOCKETS_ID

          public static final java.lang.String MEMBER_VIEW_SOCKETS_ID

      See Also:
        Constant Field Values

    - #### MEMBER_VIEW_LOADAVG_ID

          public static final java.lang.String MEMBER_VIEW_LOADAVG_ID

      See Also:
        Constant Field Values

    - #### MEMBER_VIEW_JVMPAUSES_ID

          public static final java.lang.String MEMBER_VIEW_JVMPAUSES_ID

      See Also:
        Constant Field Values

    - #### MEMBER_VIEW_CPUUSAGE_ID

          public static final java.lang.String MEMBER_VIEW_CPUUSAGE_ID

      See Also:
        Constant Field Values

    - #### MEMBER_VIEW_READPERSEC_ID

          public static final java.lang.String MEMBER_VIEW_READPERSEC_ID

      See Also:
        Constant Field Values

    - #### MEMBER_VIEW_WRITEPERSEC_ID

          public static final java.lang.String MEMBER_VIEW_WRITEPERSEC_ID

      See Also:
        Constant Field Values

    - #### MEMBER_VIEW_OFFHEAPFREESIZE_ID

          public static final java.lang.String MEMBER_VIEW_OFFHEAPFREESIZE_ID

      See Also:
        Constant Field Values

    - #### MEMBER_VIEW_OFFHEAPUSEDSIZE_ID

          public static final java.lang.String MEMBER_VIEW_OFFHEAPUSEDSIZE_ID

      See Also:
        Constant Field Values

    - #### REGION_NAME_LABEL

          public static final java.lang.String REGION_NAME_LABEL

      See Also:
        Constant Field Values

    - #### REGION_PATH_LABEL

          public static final java.lang.String REGION_PATH_LABEL

      See Also:
        Constant Field Values

    - #### REGION_TYPE_LABEL

          public static final java.lang.String REGION_TYPE_LABEL

      See Also:
        Constant Field Values

    - #### DATA_VIEW_WRITEPERSEC

          public static final java.lang.String DATA_VIEW_WRITEPERSEC

      See Also:
        Constant Field Values

    - #### DATA_VIEW_READPERSEC

          public static final java.lang.String DATA_VIEW_READPERSEC

      See Also:
        Constant Field Values

    - #### DATA_VIEW_EMPTYNODES

          public static final java.lang.String DATA_VIEW_EMPTYNODES

      See Also:
        Constant Field Values

    - #### DATA_VIEW_ENTRYCOUNT

          public static final java.lang.String DATA_VIEW_ENTRYCOUNT

      See Also:
        Constant Field Values

    - #### REGION_PERSISTENCE_LABEL

          public static final java.lang.String REGION_PERSISTENCE_LABEL

      See Also:
        Constant Field Values

    - #### DATA_VIEW_USEDMEMORY

          public static final java.lang.String DATA_VIEW_USEDMEMORY

      See Also:
        Constant Field Values

    - #### DATA_BROWSER_LABEL

          public static final java.lang.String DATA_BROWSER_LABEL

      See Also:
        Constant Field Values

    - #### DATA_BROWSER_REGIONName1

          public static final java.lang.String DATA_BROWSER_REGIONName1

      See Also:
        Constant Field Values

    - #### DATA_BROWSER_REGIONName2

          public static final java.lang.String DATA_BROWSER_REGIONName2

      See Also:
        Constant Field Values

    - #### DATA_BROWSER_REGIONName3

          public static final java.lang.String DATA_BROWSER_REGIONName3

      See Also:
        Constant Field Values

    - #### DATA_BROWSER_REGION1_CHECKBOX

          public static final java.lang.String DATA_BROWSER_REGION1_CHECKBOX

      See Also:
        Constant Field Values

    - #### DATA_BROWSER_REGION2_CHECKBOX

          public static final java.lang.String DATA_BROWSER_REGION2_CHECKBOX

      See Also:
        Constant Field Values

    - #### DATA_BROWSER_REGION3_CHECKBOX

          public static final java.lang.String DATA_BROWSER_REGION3_CHECKBOX

      See Also:
        Constant Field Values

    - #### DATA_BROWSER_COLOCATED_REGION

          public static final java.lang.String DATA_BROWSER_COLOCATED_REGION

      See Also:
        Constant Field Values

    - #### DATA_BROWSER_COLOCATED_REGION_NAME1

          public static final java.lang.String DATA_BROWSER_COLOCATED_REGION_NAME1

      See Also:
        Constant Field Values

    - #### DATA_BROWSER_COLOCATED_REGION_NAME2

          public static final java.lang.String DATA_BROWSER_COLOCATED_REGION_NAME2

      See Also:
        Constant Field Values

    - #### DATA_BROWSER_COLOCATED_REGION_NAME3

          public static final java.lang.String DATA_BROWSER_COLOCATED_REGION_NAME3

      See Also:
        Constant Field Values

    - #### QUERY_STATISTICS_LABEL

          public static final java.lang.String QUERY_STATISTICS_LABEL

      See Also:
        Constant Field Values

    - #### CLUSTER_VIEW_LABEL

          public static final java.lang.String CLUSTER_VIEW_LABEL

      See Also:
        Constant Field Values

    - #### CLUSTER_VIEW_GRID_ID

          public static final java.lang.String CLUSTER_VIEW_GRID_ID

      See Also:
        Constant Field Values

    - #### SERVER_GROUP_GRID_ID

          public static final java.lang.String SERVER_GROUP_GRID_ID

      See Also:
        Constant Field Values

    - #### REDUNDANCY_GRID_ID

          public static final java.lang.String REDUNDANCY_GRID_ID

      See Also:
        Constant Field Values

    - #### DATA_DROPDOWN_ID

          public static final java.lang.String DATA_DROPDOWN_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PulseTestConstants

          public PulseTestConstants()